Skip to navigation

List FileVersion items

Beta
List the published versions of a File, newest version first.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

file_idstringRequired
ID of the File.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

creator.anyOfstringOptional

Restricts results to those created by any of the specified user IDs. Comma-separated list.

id.anyOfstringOptional

Restricts results to those matching any of the specified IDs. Comma-separated list.

nextTokenstringOptional
Token for pagination
pageSizeintegerOptional
Number of results to return. Defaults to 50, maximum of 100.

Response

OK
itemslist of objectsOptional
nextTokenstringOptional

Errors

400
File Versions List Request Bad Request Error
403
File Versions List Request Forbidden Error
404
File Versions List Request Not Found Error
429
File Versions List Request Too Many Requests Error
500
File Versions List Request Internal Server Error